import java.util.Scanner;


public class Luxor {

    
    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);
        int n = sc.nextInt();
        long[][] brojevi = new long[n][2];
        
        for (int i = 0; i <n ; i++) {
            for (int j = 0; j < 2; j++) {
                brojevi[i][j] = sc.nextLong();
            }
           
        }
        
        long x1 = -1;
        long x2 = -2;
        
        boolean nadjenUpetlji = false;
        
        for (int i = 0; i < n; i++) {
            nadjenUpetlji = false;
            long aPola = brojevi[i][0]/2;
            for (long j = 1; j < aPola; j+=2) {
                
                if (daLiJeDeljiv( brojevi[i][0], j)) {
                    long delilac2 = brojevi[i][0] / j;
                    if (daLiJeXOR(j, delilac2,brojevi[i][1])) {
                        nadjenUpetlji = true;
                        x1 = j;
                        x2 = delilac2; break;
                    }
                }
            }
            if (nadjenUpetlji) {
                System.out.println(x2 + " " + x1);
                
            }
            else System.out.println(-1);
        
            
        }
        
        
        
    }
    
    
    public static boolean daLiJeDeljiv(long broj, long delilac){
        return broj%delilac ==0;
        
    }
    
    public static boolean daLiJeXOR(long delilac1, long delilac,long b){
        return (delilac ^ delilac1) == b;
        
    }
    
    
    
    
}